Subject: Re: bug#7049: 24.0.50; Feature request: tool-bar-position defcustom

From: Jan Djärv <[email-masked]>
Date: Tue, 21 Sep 2010 09:34:41 +0200

2010-09-17 17:03, Stephen Berman skrev:
> On Fri, 17 Sep 2010 15:36:28 +0200 Jan Djärv<[email-masked]>  wrote:
>
>> Stephen Berman skrev 2010-09-16 22.06:
>>> It would be convenient to have the Gtk+ tool bar placement (top, bottom,
>>> left, right) be managed by Custom.  Currently, changing the default
>>> permanently in user-init-file requires modifying the frame parameters.
>>>
>>
>> default-frame-alist is in custom, and you can select where to show tool bar in
>> the menu and then save options.  Isn't that enough?
>>
>> 	Jan D.
>
> Well, it's not quite as comfortable for newbies, I think.

I'd imagine two menu choices to be simpler than customizing a variable.

> I was
> thinking along the lines of scroll-bar-mode; in fact, how about this:
>
> (defcustom tool-bar-position 'top
>    "Specify whether to have a tool bar, and on which side.
> Possible values are nil (no tool bar), `top' (tool bar on top),
> `bottom' (tool bar at bottom), `left' (tool bar on left) and
> `right' (tool bar on right)."
>    :type '(choice (const :tag "none (nil)" nil)
> 		 (const top)
> 		 (const bottom)
> 		 (const left)
> 		 (const right))
>    :group 'frames
>    :initialize 'custom-initialize-default
>    :set (lambda (sym val)
> 	 (if val
> 	     (modify-all-frames-parameters
> 	      (list (cons 'tool-bar-position val) (cons 'tool-bar-lines 1)))
> 	   (modify-all-frames-parameters (list (cons 'tool-bar-lines nil))))))
>

I've checked in a modified version of this:

1) You must set tool-bar-position in :set also, otherwise customize will 
complain and say it is set outside customize.
2) We don't want to disable the tool bar here. If so it contradicts the value 
for tool-bar-mode, which would be confusing.

	Jan D.